## shutdown-at-night 0.22

=== Makefile ===
DESTDIR   =
prefix    = /usr
sbindir   = $(prefix)/sbin
sysconfdir= /etc
pkgsysconfdir= $(sysconfdir)/shutdown-at-night

# Install scripts in lib/, to make it trivial to rewrite the internal tools
# in any language, even compiled ones, without having to update the path used
# by the callers.
pkglibdir = $(prefix)/lib/shutdown-at-night

INSTALL = install

all:

install:
	$(INSTALL) -d $(DESTDIR)$(pkglibdir)/. $(DESTDIR)$(pkgsysconfdir)/.
	$(INSTALL) shutdown-at-night $(DESTDIR)$(pkglibdir)/.
	$(INSTALL) wakeupclients $(DESTDIR)$(pkglibdir)/.

distclean: clean
clean:

## shutdown-at-night 0.6

=== debian/changelog ===
shutdown-at-night (0.6) unstable; urgency=low

  * Change GPL file reference in copyright to use GPL-2 instead of GPL,
    to avoid surprises when the content of the GPL file changes between
    Debian versions.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 22 Jun 2008 00:20:25 +0200

shutdown-at-night (0.5) unstable; urgency=low

  * Make sure to not give the same wakeup time to all BIOSes, to avoid
    machines with good hardware clock to wake up at the same time and
    thus reduce the chance that a fuse breaks.
  * Add comment in Makefile explaining why the internal scripts are in
    /usr/lib/ and not /usr/share/.
  * Improve copyright file on request from the Debian ftpmasters.
  * Adjust return value from nvramwakeup() in shutdown-at-night, to
    return success if the BIOS wakeup time was updated.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Jun 2008 19:28:09 +0200

shutdown-at-night (0.4) unstable; urgency=low

  * Make sure the /etc/shutdown-at-night/ directory is part of the
    package.
  * Change shutdown-at-night to abort the shutdown if wake-on-lan could
    not be enabled.
  * Add 'cron | fcron' as dependency, to make sure the cron jobs
    run as they should.
  * Improve setup instructions in the README.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Jun 2008 00:40:36 +0200

shutdown-at-night (0.3) unstable; urgency=low

  * Convert wakeupclients to use syslog.
  * Add suggests on sitesummary (>= 0.0.41) to suggest a version that
    can generate the client list automatically.
  * Add support in wakeupclients to run a script
    /etc/shutdown-at-night/clients-generator to extract the clients to
    wake up dynamically.
  * Add ${perl:Depends} to package dependencies.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 13 Jun 2008 11:06:29 +0200

shutdown-at-night (0.2) unstable; urgency=low

  * Add server side cron job to start waking up clients Monday-Friday at 06:30.
  * Change wakeupclients to log progress, and to check if a client is up
    before trying to wake it.
  * Change wakeupclients to use fping to check for alive clints, to speed
    up the script.  Reduce sleep time between wakeups to 5 seconds.
  * Correct typos in the shutdown-at-night script.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 13 Jun 2008 08:58:00 +0200

shutdown-at-night (0.1) unstable; urgency=low

  * Initial package.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Jun 2008 18:18:53 +0200

=== debian/control ===
Source: shutdown-at-night
Section: misc
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5), cdbs

Package: shutdown-at-night
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},  cron | fcron,
 wakeonlan, ng-utils, fping
Recommends: nvram-wakeup
Suggests: sitesummary (>= 0.0.41)
Description: System to shut down clients at night, and wake them in the morning
 Schedule shutdown in the evening, and uses nvram-wakeup or wakeonlan to wake
 clients up in the morning.

## shutdown-at-night 0.7

=== debian/changelog ===
shutdown-at-night (0.7) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Rename netgroup used to enable shutdown-at-night, from
    host-shutdown-at-night to shutdown-at-night-hosts, to match the
    name structure used in Debian Edu.
  * Updated Standards-Version from 3.7.3 to 3.8.0.  No changes needed.

  [ Holger Levsen ]
  * Add Vcs: headers to debian/control. 

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Jul 2008 14:34:35 +0200

## shutdown-at-night 0.8

=== debian/changelog ===
shutdown-at-night (0.8) unstable; urgency=low

  * Make sure netgroup membership is checked using both the full and
    short hostname, to work with different netgroup styles (Solves
    Skolelinux bug #1435).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 03 Mar 2010 22:02:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Petter Reinholdtsen <pere@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 5), cdbs
+Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/shutdown-at-night
+Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/shutdown-at-night
 
 Package: shutdown-at-night
 Architecture: all

## shutdown-at-night 0.8ubuntu1

=== debian/changelog ===
shutdown-at-night (0.8ubuntu1) oneiric; urgency=low

  * Apply patch from Mike Gabriel clarifying reasons for host(s) not
    shutting down. (LP: #608616)
  * Add ethtool as a dependency. (LP: #607021)
  * ng-utils is already declared as a dependency. (LP: #608607)

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 04 Aug 2011 22:17:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shutdown-at-night
 Section: misc
 Priority: optional
-Maintainer: Petter Reinholdtsen <pere@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Petter Reinholdtsen <pere@debian.org>
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 5), cdbs
 Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/shutdown-at-night
@@ -10,7 +11,7 @@
 Package: shutdown-at-night
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},  cron | fcron,
- wakeonlan, ng-utils, fping
+ wakeonlan, ng-utils, fping, ethtool
 Recommends: nvram-wakeup
 Suggests: sitesummary (>= 0.0.41)
 Description: System to shut down clients at night, and wake them in the morning

## shutdown-at-night 0.9

=== debian/changelog ===
shutdown-at-night (0.9) unstable; urgency=low

  * Sync with Ubuntu version 0.8ubuntu1:
    - Apply patch from Mike Gabriel clarifying reasons for host(s)
      not shutting down. (LP: #608616) (Closes: #636672)
    - Add ethtool as a dependency. (LP: #607021) (Closes: #636671)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 04 Jan 2012 14:43:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: shutdown-at-night
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Petter Reinholdtsen <pere@debian.org>
+Maintainer: Petter Reinholdtsen <pere@debian.org>
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 5), cdbs
 Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/shutdown-at-night

## shutdown-at-night 0.10

=== debian/changelog ===
shutdown-at-night (0.10) unstable; urgency=low

  * Do not shut down if uptime is less then an hour.  Based on patch and
    idea from Jonathan Jackson in BTS report #619950.
  * Fix typo in syslog message (ist -> is).
  * Update standards-version from 3.8.0 to 3.9.2.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 13 Feb 2012 23:42:41 +0100

## shutdown-at-night 0.10+deb7u1

=== debian/changelog ===
shutdown-at-night (0.10+deb7u1) wheezy; urgency=low

  * Quiet down cron job to wake up client to not complain when fping
    notice they are unavailable.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 21 Jul 2013 15:36:19 +0200

## shutdown-at-night 0.10+deb7u2

=== debian/changelog ===
shutdown-at-night (0.10+deb7u2) wheezy; urgency=low

  * Backport from unstable version 0.13 to fix RC bug.
  * Rewrite logic checking if a host is unused to look for the KDM,
    Gnome or lightdm login screen to confirm the X sessions are unused
    (Closes: #729553).
  * Add depend on x11-utils for the xlsclients tool used to check unused
    X sessions.
  * Add NEWS warning about unwanted shutdowns in multiseat setup.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Nov 2014 06:58:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Petter Reinholdtsen <pere@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 5), cdbs
 Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/shutdown-at-night
 Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/shutdown-at-night
@@ -10,7 +10,7 @@
 Package: shutdown-at-night
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},  cron | fcron,
- wakeonlan, ng-utils, fping, ethtool
+ wakeonlan, ng-utils, fping, ethtool, x11-utils
 Recommends: nvram-wakeup
 Suggests: sitesummary (>= 0.0.41)
 Description: System to shut down clients at night, and wake them in the morning

## shutdown-at-night 0.11

=== debian/changelog ===
shutdown-at-night (0.11) unstable; urgency=low

  * Quiet down cron job to wake up client to not complain when fping
    notice they are unavailable.
  * Add support for extending the "busy" detection in
    shutdown-at-night by adding code to run hooks in
    /etc/shutdown-at-night/unused.d and
    /usr/lib/shutdown-at-night/unused.d. (Closes: #619950)

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 15 Jul 2013 17:26:07 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: shutdown-at-night
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},  cron | fcron,
- wakeonlan, ng-utils, fping, ethtool, x11-utils
+ wakeonlan, ng-utils, fping, ethtool
 Recommends: nvram-wakeup
 Suggests: sitesummary (>= 0.0.41)
 Description: System to shut down clients at night, and wake them in the morning

## shutdown-at-night 0.12

=== debian/changelog ===
shutdown-at-night (0.12) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add support for using the ACPI RTC wakeup interface to wake up the
    machine (Closes: #717441).
  * Correct time zone calculations, try to ensure that the 07:00 wake
    up time is in the local time zone and not UTC.
  * Make sure to syslog that ACPI RTC is used to set wakeup time when
    it is used.

  [ Mike Gabriel ]
  * The -i <host-ip> option in the wakeonlan executable is only useful
    on networks with static ARP tables available. For networks using 
    dynamic ARP tables (common with most switches), a broadcast address
    instead of a host IP should be given here. The wakeonlan default
    (255.255.255.255) is just fine for most network setups. So we omit
    the -i <host-ip> option completely when calling wakeonlan in the
    wakeupclients script.
  * debian/control:
    + Add myself to Uploaders: field.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Oct 2013 11:13:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Petter Reinholdtsen <pere@debian.org>
+Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 5), cdbs
 Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/shutdown-at-night

## shutdown-at-night 0.13

=== debian/changelog ===
shutdown-at-night (0.13) unstable; urgency=low

  [ Mike Gabriel ]
  * Package becomes team-maintained: Debian Edu Packaging Team.
  * debian/control:
    + Package migrated to Git. Update Vcs-*: fields and point to
      Git on Alioth.
    + Bump Standards: to 3.9.4. No changes necessary.
    + Improve LONG_DESCRIPTION.
    + Mention ACP wakeup functionality in LONG_DESCRIPTION.
  * debian/source/format:
    + Add file. Use format 1.0 to match capabilities of Debian Edu's dak.

  [ Petter Reinholdtsen ]
  * Rewrite logic checking if a host is unused to look for the KDM,
    Gnome or lightdm login screen to confirm the X sessions are unused
    (Closes: #729553).
  * Add depend on x11-utils for the xlsclients tool used to check unused
    X sessions.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 22 Nov 2013 20:22:08 +0100

=== debian/control ===
Source: shutdown-at-night
Section: misc
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 5), cdbs
Vcs-Git: git://anonscm.debian.org/debian-edu/pkg-team/shutdown-at-night.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/pkg-team/shutdown-at-night.git

Package: shutdown-at-night
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},  cron | fcron,
 wakeonlan, ng-utils, fping, ethtool, x11-utils
Recommends: nvram-wakeup
Suggests: sitesummary (>= 0.0.41)
Description: System to shut down clients at night, and wake them in the morning
 With this tool you can schedule regular shutdowns of workstations in the
 evening, and also wake them up every morning, using either nvram-wakeup, ACPI
 wakeup or wake-on-lan.
 .
 For the wake-on-lan wake-up sequence you need one awake machine on your local
 network / subnet. This can be a server machine or a client machine that got
 just previously woken up by nvram-wakeup.
 .
 The shutdown sequence will be initiated hourly after 4pm via a CRON job.
 However, only machines that appear inactive / unused will be shut down.
 Machines that are currently in use will remain up and running.
 .
 The Shutdown-at-Night tool can be activated via a config file or via
 membership in a NIS netgroup called shutdown-at-night-hosts.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_CLEAN_TARGET = clean
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)

## shutdown-at-night 0.14

=== debian/changelog ===
shutdown-at-night (0.14) unstable; urgency=low

  * Updated Standards-Version from 3.9.4 to 3.9.5.  No changes needed
  * Raise debhelper compat level from 5 to 9.
  * Replace cdbs with dh in rules file.  The minimal verision is enough.
    Drop cdbs dependency.
  * Add Alexander Alemayhu as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Aug 2014 10:18:28 +0200

## shutdown-at-night 0.15

=== debian/changelog ===
shutdown-at-night (0.15) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust the 'who' command to exclude the special case of gdm3 greeter
    running as user '(unknown)' to be assumed as a logged in user
    (Closes: #775608).

 -- Holger Levsen <holger@debian.org>  Tue, 17 Feb 2015 10:53:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders:
  Petter Reinholdtsen <pere@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 5), cdbs
+ Alexander Alemayhu <alexander@bitraf.no>,
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9)
 Vcs-Git: git://anonscm.debian.org/debian-edu/pkg-team/shutdown-at-night.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/pkg-team/shutdown-at-night.git

## shutdown-at-night 0.16

=== debian/changelog ===
shutdown-at-night (0.16) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix the xsession test to match the special case of gdm3 greeter no
    longer running gdm-simple-greeter. (Closes: #787566).

  [ Mike Gabriel ]
  * Provide support for blacklisting shutdown of individual hosts
    when NIS netgroups are used for controlling shutdown-at-night.
    (Use "no-shutdown-at-night-hosts" NIS netgroup for black listing
    hosts that should not shutdown).
  * Rename NIS netgroup for blacklisting shutdowns to
    shutdown-at-night-hosts-blacklist. Thanks to Petter Reinholdtsen
    for feedback.
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.
    + Process with wrap-and-sort (options: -ast).
    + Update D (shutdown-at-night) for cron alternatives: cron | cron-daemon
      (Closes: #796875).
  * shutdown-at-night, wakeupclients: Add copyright header to files.
  * Add COPYING file (containing GPL-2(+)) license.
  * debian/copyright:
    + Switch to DEP-5 compliant format.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Oct 2015 13:11:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,27 @@
  Petter Reinholdtsen <pere@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Alexander Alemayhu <alexander@bitraf.no>,
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+Build-Depends:
+ debhelper (>= 9),
 Vcs-Git: git://anonscm.debian.org/debian-edu/pkg-team/shutdown-at-night.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/pkg-team/shutdown-at-night.git
 
 Package: shutdown-at-night
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends},  cron | fcron,
- wakeonlan, ng-utils, fping, ethtool, x11-utils
-Recommends: nvram-wakeup
-Suggests: sitesummary (>= 0.0.41)
+Depends:
+ cron | cron-daemon,
+ ethtool,
+ fping,
+ ng-utils,
+ wakeonlan,
+ x11-utils,
+ ${misc:Depends},
+ ${perl:Depends},
+Recommends:
+ nvram-wakeup,
+Suggests:
+ sitesummary (>= 0.0.41),
 Description: System to shut down clients at night, and wake them in the morning
  With this tool you can schedule regular shutdowns of workstations in the
  evening, and also wake them up every morning, using either nvram-wakeup, ACPI
@@ -32,4 +42,3 @@
  .
  The Shutdown-at-Night tool can be activated via a config file or via
  membership in a NIS netgroup called shutdown-at-night-hosts.
-

## shutdown-at-night 0.17

=== debian/changelog ===
shutdown-at-night (0.17) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix typos in xsession test. (Closes: #802541).
  * Fix typo in acpiwakeup code. (Closes: #802542).
  * Set RTC based self-wake-up to disabled as default behaviour. This is
    needed for blacklisting host wake-up via netgroups. It is needed as
    well if shutdown-at-night is enabled via the flag file
    /etc/shutdown-at-night/shutdown-at-night but wake-up isn't wanted.
  * Provide support for wake-up feature if flag file is used.
    + Add configuration information to the README file.
    + Adjust the code to make configuration possible.

  [ Mike Gabriel ]
  * shutdown-at-night: Add support for a blockage file that prevents from
    the system being woken up by NVRAM or RTC alarm.
  * wakeupclients: Add support for a blockage file that prevents from
    other clients being woken up.
  * README: Document the blockage files for system wake-ups.
  * shutdown-at-night: Suppress ethtool output to stderr.
  * wakeupclients: Don't send alive pings to an empty address list. Prevents
    the script from hanging indefinitely when calling the fping command.
  * shutdown-at-night: Evaluate the newly supported NIS netgroups
    shutdown-at-night-wakeup-hosts and shutdown-at-night-wakeup-hosts-blacklist
    and only prepare the NVRAM/RTC based host wake-up if configured accordingly
    via NIS netgroups.
  * debian/control:
    + Use encrypted URLs in Vcs-*: fields.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Feb 2016 21:49:57 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 9),
-Vcs-Git: git://anonscm.debian.org/debian-edu/pkg-team/shutdown-at-night.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/pkg-team/shutdown-at-night.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-edu/pkg-team/shutdown-at-night.git
+Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/shutdown-at-night.git
 
 Package: shutdown-at-night
 Architecture: all

## shutdown-at-night 0.18

=== debian/changelog ===
shutdown-at-night (0.18) unstable; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * d/control: Update Vcs-*: fields. Packaging Git has been migrated to salsa.

  [ Holger Levsen ]
  * Remove Alexander Alemayhu from uploaders - thanks for your contributions!
  * d/control:
    - bump Standards-Version to 4.1.4, no changes needed.
    - unify Vcs-*: headers.
    - declare that killer doesn't need root to build, add
      "Rules-Requires-Root: no" header after testing this is the case.
  * d/compat: bump to 11 and update dependency accordingly.
  * d/copyright:
    - use https for Format: URL, thanks lintian.
    - point Source: to salsa.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jun 2018 18:19:58 +0000

## shutdown-at-night 0.19

=== debian/changelog ===
shutdown-at-night (0.19) unstable; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * shutdown-at-night: Support arctica-greeter as LightDM greeter. If present,
    we consider it as a hint that no X session is running.

 -- Holger Levsen <holger@debian.org>  Thu, 14 Jun 2018 14:46:53 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Petter Reinholdtsen <pere@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
- Alexander Alemayhu <alexander@bitraf.no>,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 9),
-Vcs-Browser: https://anonscm.debian.org/git/debian-edu/pkg-team/shutdown-at-night.git
-Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/shutdown-at-night.git
+ debhelper (>= 11),
+Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night
+Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night
 
 Package: shutdown-at-night
 Architecture: all

## shutdown-at-night 0.20~bpo9+1

=== debian/changelog ===
shutdown-at-night (0.20~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 11 Dec 2018 12:21:07 +0100

shutdown-at-night (0.20) unstable; urgency=medium

  * Team upload.

  * d/control:
    - use the new debhelper-compat(=11) notation and drop d/compat.
    - bump Standards-Version to 4.2.1, no changes needed.
    - drop version from suggests on sitesummary, as it's been fulfilled since
      Lenny at least.

 -- Holger Levsen <holger@debian.org>  Tue, 16 Oct 2018 14:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Petter Reinholdtsen <pere@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night
 
@@ -26,7 +26,7 @@
 Recommends:
  nvram-wakeup,
 Suggests:
- sitesummary (>= 0.0.41),
+ sitesummary,
 Description: System to shut down clients at night, and wake them in the morning
  With this tool you can schedule regular shutdowns of workstations in the
  evening, and also wake them up every morning, using either nvram-wakeup, ACPI

## shutdown-at-night 0.21~bpo9+1

=== debian/changelog ===
shutdown-at-night (0.21~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 22 Mar 2019 13:37:12 +0100

shutdown-at-night (0.21) unstable; urgency=medium

  * Team upload.

  * d/control:
    - bump Standards-Version to 4.3.0, no changes needed.
    - use canonical URL for Vcs-Git, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Wed, 16 Jan 2019 14:56:47 +0100

## shutdown-at-night 0.21

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Petter Reinholdtsen <pere@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 11),
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night
-Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night
+Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night.git
 
 Package: shutdown-at-night
 Architecture: all

## shutdown-at-night 0.22

=== debian/changelog ===
shutdown-at-night (0.22) unstable; urgency=medium

  * Team upload.
  * d/control:
    - bump Standards-Version to 4.4.0, no changes needed.
    - bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Thu, 08 Aug 2019 14:29:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Petter Reinholdtsen <pere@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night.git

## shutdown-at-night 0.23

=== debian/changelog ===
shutdown-at-night (0.23) unstable; urgency=medium

  * Team upload.
  * Upgrade to newer source format 3.0 (native), thanks lintian-brush.
  * Bump debhelper-compat to 13.
  * Update standards version to 4.5.0, no changes needed, thanks lintian-brush.
  * Remove listed license files (COPYING) from copyright, thanks lintian-brush.

 -- Holger Levsen <holger@debian.org>  Sun, 24 May 2020 12:36:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Petter Reinholdtsen <pere@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/shutdown-at-night.git

## shutdown-at-night 0.24

=== debian/changelog ===
shutdown-at-night (0.24) unstable; urgency=medium

  * Team upload.

  [ Wolfgang Schweer ]
  * shutdown-at-night: Adjust to work with X2Go thin clients. The re-written
    LTSP dropped support for thin clients, and LDM is gone as well.
    README: Adjust to reflect the change.
  * d/control: Update standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 22:19:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Petter Reinholdtsen <pere@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## shutdown-at-night 0.24build1

=== debian/changelog ===
shutdown-at-night (0.24build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Dec 2025 22:34:38 +0100
